## pcmciautils 018

=== Makefile ===
# Makefile for pcmciautils
#
# Copyright (C) 2005      Dominik Brodowski <linux@dominikbrodowski.net>
#
# Based largely on the Makefile for udev by:
#
# Copyright (C) 2003,2004 Greg Kroah-Hartman <greg@kroah.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
#

default: all

help:
	@echo "Common targets ('*' is default):"
	@echo "* all		- build the standard set of utilities"
	@echo "  debugtools	- build the debugging utilities"

# Set this to 'false' if you do not need the socket-startup script
# 
# You don't need it if the socket driver does not select
# PCCARD_NONSTATIC -- that is the case for many embedded systems --
# and for yenta_socket if the cardbus bridge is either below a
# PCI-PCI bridge, or where the PCI bus is not equivalent to the host
# bus (e.g. on PPC)
STARTUP ?= true

# Set this to true if you want to use 'udev' instead of 'hotplug'
# to invoke the necessary pcmciautils commands.
UDEV ?= true

# Set the following to `true' to log the debug
# and make a unstripped, unoptimized  binary.
# Leave this set to `false' for production use.
DEBUG ?= false

# Set this to true if you want to statically link the binaries
# to be compiled.
STATIC ?= false

# make the build silent. Set this to something else to make it noisy again.
V ?= false


PCCARDCTL =			pccardctl
LSPCMCIA =			lspcmcia
PCMCIA_CHECK_BROKEN_CIS =	pcmcia-check-broken-cis
PCMCIA_SOCKET_STARTUP =		pcmcia-socket-startup
CBDUMP =			cbdump
CISDUMP =			dump_cis

VERSION =	018
#INSTALL_DIR =	/usr/local/sbin
RELEASE_NAME =	pcmciautils-$(VERSION)

#DESTDIR =

KERNEL_DIR = /lib/modules/${shell uname -r}/build

# override this to make pcmciautils look in a different location for its files
prefix =
exec_prefix =	${prefix}
etcdir =	${prefix}/etc
sbindir =	${exec_prefix}/sbin
mandir =	${prefix}/usr/share/man
udevdir =	${prefix}/lib/udev

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA  = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
SYMLINK = ln -sf

# place to put our hotplug scripts nodes
hotplugdir =	${etcdir}/hotplug

# place to put our udev rules to
udevrulesdir = 	${udevdir}/rules.d

# place to put our udev helper binaries (pcmcia-socket-startup, pcmcia-check-broken-cis) to
udevhelperdir =   ${udevdir}
# udevhelperdir = ${sbindir}

# place where PCMICIA config is put to
pcmciaconfdir =	${etcdir}/pcmcia

# set up PWD so that older versions of make will work with our build.
PWD = $(shell pwd)

# If you are running a cross compiler, you may want to set this
# to something more interesting, like "arm-linux-".  If you want
# to compile vs uClibc, that can be done here as well.
CROSS = #/usr/i386-linux-uclibc/usr/bin/i386-uclibc-
CC = $(CROSS)gcc
LD = $(CROSS)gcc
AR = $(CROSS)ar
STRIP = $(CROSS)strip
RANLIB = $(CROSS)ranlib
HOSTCC = gcc

export CROSS CC AR STRIP RANLIB CFLAGS LDFLAGS LIB_OBJS ARCH_LIB_OBJS CRT0

# code taken from uClibc to determine the current arch
ARCH := ${shell $(CC) -dumpmachine | sed -e s'/-.*//' -e 's/i.86/i386/' -e 's/sparc.*/sparc/' \
	-e 's/arm.*/arm/g' -e 's/m68k.*/m68k/' -e 's/powerpc/ppc/g'}

# code taken from uClibc to determine the gcc include dir
GCCINCDIR := ${shell LC_ALL=C $(CC) -print-search-dirs | sed -ne "s/install: \(.*\)/\1include/gp"}

# code taken from uClibc to determine the libgcc.a filename
GCC_LIB := $(shell $(CC) -print-libgcc-file-name )

# use '-Os' optimization if available, else use -O2
OPTIMIZATION := ${shell if $(CC) -Os -S -o /dev/null -xc /dev/null >/dev/null 2>&1; \
		then echo "-Os"; else echo "-O2" ; fi}

# check if compiler option is supported
cc-supports = ${shell if $(CC) ${1} -S -o /dev/null -xc /dev/null > /dev/null 2>&1; then echo "$(1)"; fi;}

WARNINGS := -Wall -Wchar-subscripts -Wpointer-arith -Wsign-compare
WARNINGS += $(call cc-supports,-Wno-pointer-sign)
WARNINGS += $(call cc-supports,-Wdeclaration-after-statement)
WARNINGS += -Wshadow

CFLAGS += -pipe -DPCMCIAUTILS_VERSION=\"$(VERSION)\"
YFLAGS := -d

HEADERS = \
	src/cistpl.h	\
	src/startup.h	\
	src/yacc_config.h 


OBJS = \
	src/lex_config.l		\
	src/pccardctl.c			\
	src/pcmcia-check-broken-cis.c	\
	src/read-cis.c			\
	src/startup.c			\
	src/startup.h			\
	src/yacc_config.h		\
	src/yacc_config.y

CFLAGS +=	-I$(PWD)/src

CFLAGS += $(WARNINGS) -I$(GCCINCDIR)

LIB_OBJS = -lc -lsysfs
LIB_PLAIN_OBJS = -lc
LIB_PCI_OBJS = -lc -lpci

ifeq ($(strip $(STATIC)),true)
	LIB_OBJS = -lsysfs
	LIB_PLAIN_OBJS =
	LIB_PCI_OBJS = -lpci
	LDFLAGS += -static
else
	LDFLAGS += -Wl,-warn-common
endif

ifeq ($(strip $(V)),false)
	QUIET=@$(PWD)/build/ccdv
	HOST_PROGS=build/ccdv
else
	QUIET=
	HOST_PROGS=
endif

# if DEBUG is enabled, then we do not strip or optimize
ifeq ($(strip $(DEBUG)),true)
	CFLAGS  += -O1 -g -DDEBUG -D_GNU_SOURCE
	STRIPCMD = /bin/true -Since_we_are_debugging
else
	CFLAGS  += $(OPTIMIZATION) -fomit-frame-pointer -D_GNU_SOURCE
	STRIPCMD = $(STRIP) -s --remove-section=.note --remove-section=.comment
endif

# HOTPLUG or UDEV?
ifeq ($(strip $(UDEV)),false)
	INSTALL_TARGETS = install-hotplug
	UNINSTALL_TARGETS = uninstall-hotplug
else
	INSTALL_TARGETS = install-udev
	UNINSTALL_TARGETS = uninstall-udev
endif



# if STARTUP is disabled, we can skip a few things
ifeq ($(strip $(STARTUP)),false)
	PCMCIA_SOCKET_STARTUP_BUILD =
else
	PCMCIA_SOCKET_STARTUP_BUILD = $(PCMCIA_SOCKET_STARTUP)
	INSTALL_TARGETS += install-config install-socket-tools
	UNINSTALL_TARGETS += uninstall-socket-tools
	ifeq ($(strip $(UDEV)),false)
		INSTALL_TARGETS += install-socket-hotplug
		UNINSTALL_TARGETS += uninstall-socket-hotplug
	endif
endif

#udev rules collection
UDEV_RULES_FILE = udev/60-pcmcia.rules
UDEV_RULES = udev/rules-start udev/rules-modprobe udev/rules-base
ifneq ($(strip $(STARTUP)),false)
	UDEV_RULES += udev/rules-nonstaticsocket
endif
UDEV_RULES += udev/rules-end


all: ccdv $(PCCARDCTL) $(PCMCIA_CHECK_BROKEN_CIS) $(PCMCIA_SOCKET_STARTUP_BUILD) udevrules

ccdv: build/ccdv
build/ccdv: build/ccdv.c
	@echo "Building ccdv"
	@$(HOSTCC) -O1 $< -o $@

%.o : %.c ccdv
	$(QUIET) $(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

%.c %.h : %.y
	$(YACC) $(YFLAGS) $<
	mv y.tab.c $*.c
	mv y.tab.h $*.h

$(PCCARDCTL): $(LIBC) src/$(PCCARDCTL).o src/$(PCCARDCTL).c $(OBJS) $(HEADERS)
	$(QUIET) $(LD) $(LDFLAGS) -o $@ $(CRT0) src/$(PCCARDCTL).o $(LIB_OBJS) $(ARCH_LIB_OBJS)
	$(QUIET) $(STRIPCMD) $@

$(PCMCIA_CHECK_BROKEN_CIS): $(LIBC) src/$(PCMCIA_CHECK_BROKEN_CIS).o src/read-cis.o $(OBJS) $(HEADERS)
	$(QUIET) $(LD) $(LDFLAGS) -o $@ $(CRT0) src/$(PCMCIA_CHECK_BROKEN_CIS).o src/read-cis.o $(LIB_PLAIN_OBJS) $(ARCH_LIB_OBJS)
	$(QUIET) $(STRIPCMD) $@

$(PCMCIA_SOCKET_STARTUP): $(LIBC) src/startup.o src/yacc_config.o src/lex_config.o $(OBJS) $(HEADERS)
	$(QUIET) $(LD) $(LDFLAGS) -o $@ $(CRT0) src/startup.o src/yacc_config.o src/lex_config.o $(LIB_OBJS) $(ARCH_LIB_OBJS)
	$(QUIET) $(STRIPCMD) $@

yacc_config.o lex_config.o: %.o: %.c
	$(CC) -c -MD -O -pipe $(CPPFLAGS) $<

debugtools: ccdv $(CBDUMP) $(CISDUMP)

$(CBDUMP): $(LIBC) debug/cbdump.o
	$(QUIET) $(LD) $(LDFLAGS) -o $@ $(CRT0) debug/$(CBDUMP).o $(LIB_PCI_OBJS) $(ARCH_LIB_OBJS)
	$(QUIET) $(STRIPCMD) $@

$(CISDUMP): $(LIBC) src/read-cis.o debug/parse_cis.o debug/dump_cis.o
	$(QUIET) $(LD) $(LDFLAGS) -o $@ $(CRT0) debug/$(CISDUMP).o src/read-cis.o debug/parse_cis.o $(LIB_OBJS) $(ARCH_LIB_OBJS)
	$(QUIET) $(STRIPCMD) $@

udevrules:
	cat $(UDEV_RULES) | sed -e "s#__UDEVHELPERDIR__#${udevhelperdir}#g" > $(UDEV_RULES_FILE)

clean:
	-find . \( -not -type d \) -and \( -name '*~' -o -name '*.[oas]' \) -type f -print \
	 | xargs rm -f 
	-rm -f $(PCCARDCTL) $(PCMCIA_CHECK_BROKEN_CIS) $(PCMCIA_SOCKET_STARTUP)
	-rm -f $(CBDUMP) $(CISDUMP)
	-rm -f src/yacc_config.c src/yacc_config.d src/lex_config.c src/lex_config.d src/yacc_config.h
	-rm -f udev/60-pcmcia.rules
	-rm -f build/ccdv

install-hotplug:
	$(INSTALL) -d $(DESTDIR)$(hotplugdir)
	$(INSTALL_PROGRAM) -D hotplug/pcmcia.agent $(DESTDIR)$(hotplugdir)/pcmcia.agent
	$(INSTALL_PROGRAM) -D hotplug/pcmcia.rc $(DESTDIR)$(hotplugdir)/pcmcia.rc

uninstall-hotplug:
	- rm -f $(DESTDIR)$(hotplugdir)/pcmcia.agent $(DESTDIR)$(hotplugdir)/pcmcia.rc

install-socket-hotplug:
	$(INSTALL_PROGRAM) -D hotplug/pcmcia_socket.agent $(DESTDIR)$(hotplugdir)/pcmcia_socket.agent
	$(INSTALL_PROGRAM) -D hotplug/pcmcia_socket.rc $(DESTDIR)$(hotplugdir)/pcmcia_socket.rc

uninstall-socket-hotplug:
	- rm -f $(DESTDIR)$(hotplugdir)/pcmcia_socket.agent $(DESTDIR)$(hotplugdir)/pcmcia_socket.rc

install-socket-tools:
	$(INSTALL_PROGRAM) -D $(PCMCIA_SOCKET_STARTUP) $(DESTDIR)$(udevhelperdir)/$(PCMCIA_SOCKET_STARTUP)

uninstall-socket-tools:
	- rm -f $(DESTDIR)$(udevhelperdir)/$(PCMCIA_SOCKET_STARTUP)

install-tools:
	$(INSTALL) -d $(DESTDIR)$(sbindir)
	$(INSTALL_PROGRAM) -D $(PCCARDCTL) $(DESTDIR)$(sbindir)/$(PCCARDCTL)
	$(SYMLINK) $(PCCARDCTL) $(DESTDIR)$(sbindir)/$(LSPCMCIA)
	$(INSTALL_PROGRAM) -D $(PCMCIA_CHECK_BROKEN_CIS) $(DESTDIR)$(udevhelperdir)/$(PCMCIA_CHECK_BROKEN_CIS)

uninstall-tools:
	- rm -f $(DESTDIR)$(sbindir)/$(PCCARDCTL)
	- rm -f $(DESTDIR)$(sbindir)/$(LSPCMCIA)
	- rm -f $(DESTDIR)$(udevhelperdir)/$(PCMCIA_CHECK_BROKEN_CIS)

install-config:
	$(INSTALL) -d $(DESTDIR)$(pcmciaconfdir)
	$(INSTALL_DATA)  -D config/config.opts $(DESTDIR)$(pcmciaconfdir)/config.opts
	if [ -f config/config.opts.$(ARCH) ]; then \
		$(INSTALL_DATA) -D config/config.opts.$(ARCH) $(DESTDIR)$(pcmciaconfdir)/config.opts; \
	fi

uninstall-config:
#	- rm -f $(DESTDIR)$(pcmciaconfdir)/config.opts

install-udev:
	$(INSTALL_DATA) -D $(UDEV_RULES_FILE) $(DESTDIR)$(udevrulesdir)/60-pcmcia.rules

uninstall-udev:
	- rm -f $(DESTDIR)$(udevrulesdir)/60-pcmcia.rules

install-man:
	$(INSTALL_DATA) -D man/man8/pccardctl.8 $(DESTDIR)$(mandir)/man8/pccardctl.8
	$(SYMLINK) pccardctl.8 $(DESTDIR)$(mandir)/man8/lspcmcia.8

uninstall-man:
	- rm $(DESTDIR)$(mandir)/man8/pccardctl.8
	- rm $(DESTDIR)$(mandir)/man8/lspcmcia.8


install: install-tools install-man $(INSTALL_TARGETS)

uninstall: uninstall-tools uninstall-man $(UNINSTALL_TARGETS)

=== debian/changelog ===
pcmciautils (018-18) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Fix component type in Appstream metainfo (closes: #1077783).

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Aug 2024 10:58:56 +0100

pcmciautils (018-17) unstable; urgency=medium

  [ Colin Watson ]
  * Apply X-Style: black.

  [ Petter Reinholdtsen ]
  * Add Appstream metainfo announcing HW support (closes: #1077051).

 -- Colin Watson <cjwatson@debian.org>  Thu, 25 Jul 2024 19:27:17 +0100

pcmciautils (018-16) unstable; urgency=medium

  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Jun 2024 16:57:13 +0100

pcmciautils (018-15) experimental; urgency=medium

  * Update watch file format version to 4.
  * Add dh-sequence-movetousr.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2024 11:10:29 +0100

pcmciautils (018-14) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + Remove 2 maintscript entries from 1 files.
  * Add missing ${misc:Depends} to Depends for pcmciautils-udeb.
  * Bump debhelper from old 11 to 13.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Dec 2022 16:52:13 +0000

pcmciautils (018-13) unstable; urgency=medium

  [ Holger Wansing ]
  * Update /etc/pcmciautils/ dir to /etc/pcmcia/ in udeb (closes: #980271).

 -- Colin Watson <cjwatson@debian.org>  Tue, 15 Jun 2021 13:51:17 +0100

pcmciautils (018-12) unstable; urgency=medium

  [ Bor Grošelj Simić ]
  * makefile: unbreak parallel building.

 -- Colin Watson <cjwatson@debian.org>  Sun, 20 Sep 2020 22:47:40 +0100

pcmciautils (018-11) unstable; urgency=medium

  * Use debhelper-compat instead of debian/compat.
  * Silence postrm error if /etc/pcmcia is not empty (closes: #951036).

 -- Colin Watson <cjwatson@debian.org>  Mon, 10 Feb 2020 11:45:52 +0000

pcmciautils (018-10) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Colin Watson ]
  * Simplify debian/rules using /usr/share/dpkg/default.mk.
  * Set Rules-Requires-Root: no.
  * Upgrade to debhelper v11.
  * Convert debian/copyright to copyright-format 1.0.
  * Support DEB_BUILD_OPTIONS=terse.
  * Policy version 4.2.1.

 -- Colin Watson <cjwatson@debian.org>  Sat, 27 Oct 2018 22:16:05 +0100

pcmciautils (018-9) unstable; urgency=low

  * Add a Vcs-Browser field (closes: #681622).
  * Simplify debian/rules using /usr/share/dpkg/buildflags.mk.
  * Use Package-Type rather than XC-Package-Type, now that it is an official
    field.
  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Switch to git; adjust Vcs-* fields.
  * Update homepage and download URLs (closes: #681622, #785805).
  * Remove Per Olofsson from Uploaders, with thanks for their previous
    contributions (closes: #847165).
  * Convert to git-dpm, and drop the debian/rules quilt-setup target
    associated with the old bzr/quilt patch handling workflow.

 -- Colin Watson <cjwatson@debian.org>  Sat, 14 Apr 2018 14:12:17 +0100

pcmciautils (018-8) unstable; urgency=low

  * Mark pcmciautils and pcmciautils-udeb Architecture: linux-any.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Jun 2012 14:57:42 +0100

pcmciautils (018-7) unstable; urgency=low

  * Use dpkg-buildflags to enable hardening options.

 -- Colin Watson <cjwatson@debian.org>  Fri, 22 Jun 2012 13:55:20 +0100

pcmciautils (018-6) unstable; urgency=low

  * Prevent the upstream build system calling strip, and rely on dh_strip
    instead to honour Debian policy requirements.

 -- Colin Watson <cjwatson@debian.org>  Wed, 21 Mar 2012 18:49:30 +0000

pcmciautils (018-5) unstable; urgency=low

  * Use dh_installdeb's maintscript support rather than writing it into
    maintainer scripts by hand.  We now just pre-depend on a sufficient
    version of dpkg rather than using 'dpkg-maintscript-helper supports
    rm_conffile' guards.

 -- Colin Watson <cjwatson@debian.org>  Sat, 11 Feb 2012 14:27:49 +0000

pcmciautils (018-4) unstable; urgency=low

  * Add cross-compiling support.

 -- Colin Watson <cjwatson@debian.org>  Fri, 16 Sep 2011 10:59:13 +0100

pcmciautils (018-3) unstable; urgency=low

  * Also remove libsysfs-dev from build-deps.

 -- Per Olofsson <pelle@debian.org>  Sun, 12 Jun 2011 20:29:55 +0200

pcmciautils (018-2) unstable; urgency=low

  [ Per Olofsson ]
  * Remove module-init-tools and lsb-base from Depends, since the init
    script is now gone.
  * Rename debian/pcmciautils.docs to debian/docs.
  * Actually remove unnecessary-linkage.patch, not only from series.
  * Add patch remove-libsysfs-dep.patch from upstream to remove
    dependency on libsysfs. Closes: #627648.

  [ Colin Watson ]
  * Update Vcs-Bzr field for Alioth changes.

 -- Per Olofsson <pelle@debian.org>  Sun, 12 Jun 2011 19:53:52 +0200

pcmciautils (018-1) unstable; urgency=low

  [ Colin Watson ]
  * udev rules are now installed in /lib/udev/rules.d/ (closes: #575830).
    Preserve any user changes found in /etc/udev/pcmcia.rules.
  * Convert to source format 3.0 (quilt) and DEP-3 patch tagging.

  [ Per Olofsson ]
  * New upstream release.
    - Drop unnecessary-linkage.patch, applied upstream.
  * Remove obsolete README.Debian.
  * Bump Standards-Version to 3.9.2. No changes.
  * Remove init script. Driver module should be loaded by udev or
    /etc/modules. Add note to NEWS.Debian.
  * Simplify debian/rules.
  * Remove old cruft from maintainer scripts.
  * Create /etc/pcmcia directory if it doesn't exist.

 -- Per Olofsson <pelle@debian.org>  Mon, 25 Apr 2011 22:33:46 +0200

pcmciautils (015-1) unstable; urgency=low

  * New upstream release.
    - Simplified the setting of sysfs attributes; requires udev 098.
  * Vcs-Bzr is now an official field.
  * Add a Homepage field.
  * Don't link pcmcia-check-broken-cis against libsysfs; dpkg-shlibdeps
    reports that it doesn't need it.
  * The init script should either print a message and exit non-zero, or be


=== debian/control ===
Source: pcmciautils
Section: admin
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/debian/pcmciautils.git
Vcs-Browser: https://salsa.debian.org/debian/pcmciautils
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-sequence-movetousr,
 flex,
Homepage: https://www.kernel.org/pub/linux/utils/kernel/pcmcia/
Rules-Requires-Root: no
X-Style: black

Package: pcmciautils
Architecture: linux-any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 udev,
Suggests:
 wireless-tools,
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support
 it. These are included in the stock Debian 2.6 kernel packages. You
 will most likely also need udev, although it isn't always required.
 .
 The wireless-tools package is required by many wireless network adapters.

Package: pcmciautils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends:
 udev-udeb,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCMCIA utilities for Linux 2.6
 This package provides PCMCIA initialisation tools for Linux 2.6.13-rc1 or
 later, replacing the old pcmcia-cs tools used with earlier kernel versions.
 PCMCIA cards are commonly used in laptops to provide expanded capabilities
 such as network connections, modems, increased memory, etc.
 .
 To use PCMCIA you need to have kernel modules available to support it.
 These are included in the stock Debian 2.6 kernel packages.
 .
 This is a minimal package for use in debian-installer.

=== debian/rules ===
#! /usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
include /usr/share/dpkg/default.mk

ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export V := true
endif

%:
	dh $@

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS :=
else
CROSS := CROSS=$(DEB_HOST_GNU_TYPE)-
endif

override_dh_auto_build:
	$(MAKE) $(CROSS) STRIPCMD=true

override_dh_auto_install:
	dh_auto_install --destdir=debian/pcmciautils -- \
		pcmciaconfdir=/usr/lib/pcmciautils

override_dh_install:
	dh_install --sourcedir=debian/pcmciautils

=== debian/watch ===
version=4
https://www.kernel.org/pub/linux/utils/kernel/pcmcia pcmciautils-(.*)\.tar\.gz
